Index: orxonox/trunk/src/util/garbage_collector.cc
===================================================================
--- orxonox/trunk/src/util/garbage_collector.cc	(revision 4591)
+++ orxonox/trunk/src/util/garbage_collector.cc	(revision 4592)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -33,5 +33,5 @@
    \brief standard constructor
 */
-GarbageCollector::GarbageCollector () 
+GarbageCollector::GarbageCollector ()
 {
    this->setClassID(CL_GARBAGE_COLLECTOR, "GarbageCollector");
@@ -44,5 +44,5 @@
    \brief standard deconstructor
 */
-GarbageCollector::~GarbageCollector () 
+GarbageCollector::~GarbageCollector ()
 {
   // delete what has to be deleted here
@@ -52,8 +52,8 @@
    \brief this sets the collection delay
    \param delay: the delay
-   
+
    after this delay, the garbage collector starts its work and begins to collect unused object
    to delete them afterwards. only objects in the worldentity list from the world object are lookded
-   at. 
+   at.
 */
 void GarbageCollector::setCollectionDelay(float delay)
@@ -107,19 +107,19 @@
   tIterator<WorldEntity>* iterator = list->getIterator();
   WorldEntity* entity = iterator->nextElement();
-  while( entity != NULL) 
-    { 
+  while( entity != NULL)
+    {
       if( entity->isFinalized())
-	{
-	  PRINTF(4)("= finalizing object\n");
-	  ++counter;
-	  
-	  /* first remove out of entity list */
-	  list->remove(entity);
-	  /* second remove out of pnode tree */
-	  entity->remove();
-	  /* then finaly delete reference */
-	  //delete entity;
-	  ObjectManager::getInstance()->addToDeadList(entity->getClassID(), entity);
-	}
+        {
+          PRINTF(4)("= finalizing object\n");
+          ++counter;
+
+          /* first remove out of entity list */
+          list->remove(entity);
+          /* second remove out of pnode tree */
+          entity->remove();
+          /* then finaly delete reference */
+          //delete entity;
+          ObjectManager::getInstance()->addToDeadList(entity->getClassID() & CL_MASK_LOWLEVEL_CLASS, entity);
+        }
       entity = iterator->nextElement();
     }
Index: orxonox/trunk/src/util/loading/load_param.h
===================================================================
--- orxonox/trunk/src/util/loading/load_param.h	(revision 4591)
+++ orxonox/trunk/src/util/loading/load_param.h	(revision 4592)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -14,5 +14,5 @@
 */
 
-/*! 
+/*!
     \file load_param.h
     \brief A Class and macro-functions, that makes our lives easy to load-in parameters
@@ -74,10 +74,10 @@
 #define LoadParam1(type1) \
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE), bool multi = false) \
-   : BaseLoadParam(root, pt2Object, paramName, 1, multi, type1##_NAME)		\
-    { \
-      if (loadString != NULL && root != NULL) \
-	(*pt2Object.*function)(type1##_FUNC(loadString)); \
-      else \
-	PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
+   : BaseLoadParam(root, pt2Object, paramName, 1, multi, type1##_NAME)          \
+    { \
+      if (loadString != NULL && root != NULL) \
+        (*pt2Object.*function)(type1##_FUNC(loadString)); \
+      else \
+        PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
     }
 
@@ -94,14 +94,14 @@
     { \
       if (loadString != NULL && root != NULL) \
-	{ \
-	  SubString subLoads(loadString); \
-	  if (subLoads.getCount() == 2) \
-	    (*pt2Object.*function)(type1##_FUNC(subLoads.getString(0)), type2##_FUNC(subLoads.getString(1))); \
-	  else \
-	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n", \
-		      paramName, pt2Object->getClassName(), 2, subLoads.getCount()); \
-	} \
-      else \
-	PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
+        { \
+          SubString subLoads(loadString); \
+          if (subLoads.getCount() == 2) \
+            (*pt2Object.*function)(type1##_FUNC(subLoads.getString(0)), type2##_FUNC(subLoads.getString(1))); \
+          else \
+            PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n", \
+                      paramName, pt2Object->getClassName(), 2, subLoads.getCount()); \
+        } \
+      else \
+        PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
     }
 
@@ -119,14 +119,14 @@
     { \
       if (loadString != NULL && root != NULL) \
-	{ \
-	  SubString subLoads(loadString); \
-	  if (subLoads.getCount() == 3) \
-	    (*pt2Object.*function)(type1##_FUNC(subLoads.getString(0)), type2##_FUNC(subLoads.getString(1)), type3##_FUNC(subLoads.getString(2))); \
-	  else \
-	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n", \
-		      paramName, pt2Object->getClassName(), 3, subLoads.getCount()); \
-	} \
-      else \
-	PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
+        { \
+          SubString subLoads(loadString); \
+          if (subLoads.getCount() == 3) \
+            (*pt2Object.*function)(type1##_FUNC(subLoads.getString(0)), type2##_FUNC(subLoads.getString(1)), type3##_FUNC(subLoads.getString(2))); \
+          else \
+            PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n", \
+                      paramName, pt2Object->getClassName(), 3, subLoads.getCount()); \
+        } \
+      else \
+        PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
     }
 
@@ -145,14 +145,14 @@
     { \
       if (loadString != NULL && root != NULL) \
-	{ \
-	  SubString subLoads(loadString); \
-	  if (subLoads.getCount() == 4) \
-	    (*pt2Object.*function)(type1##_FUNC(subLoads.getString(0)), type2##_FUNC(subLoads.getString(1)), type3##_FUNC(subLoads.getString(2)), type4##_FUNC(subLoads.getString(3))); \
-	  else \
-	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n", \
-		      paramName, pt2Object->getClassName(), 4, subLoads.getCount()); \
-	} \
-      else \
-	PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
+        { \
+          SubString subLoads(loadString); \
+          if (subLoads.getCount() == 4) \
+            (*pt2Object.*function)(type1##_FUNC(subLoads.getString(0)), type2##_FUNC(subLoads.getString(1)), type3##_FUNC(subLoads.getString(2)), type4##_FUNC(subLoads.getString(3))); \
+          else \
+            PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n", \
+                      paramName, pt2Object->getClassName(), 4, subLoads.getCount()); \
+        } \
+      else \
+        PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
     }
 
@@ -172,14 +172,14 @@
     { \
       if (loadString != NULL && root != NULL) \
-	{ \
-	  SubString subLoads(loadString); \
-	  if (subLoads.getCount() == 5) \
-	    (*pt2Object.*function)(type1##_FUNC(subLoads.getString(0)), type2##_FUNC(subLoads.getString(1)), type3##_FUNC(subLoads.getString(2)), type4##_FUNC(subLoads.getString(3)), type5##_FUNC(subLoads.getString(4))); \
-	  else \
-	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n", \
-		      paramName, pt2Object->getClassName(), 5, subLoads.getCount()); \
-	} \
-      else \
-	PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
+        { \
+          SubString subLoads(loadString); \
+          if (subLoads.getCount() == 5) \
+            (*pt2Object.*function)(type1##_FUNC(subLoads.getString(0)), type2##_FUNC(subLoads.getString(1)), type3##_FUNC(subLoads.getString(2)), type4##_FUNC(subLoads.getString(3)), type5##_FUNC(subLoads.getString(4))); \
+          else \
+            PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n", \
+                      paramName, pt2Object->getClassName(), 5, subLoads.getCount()); \
+        } \
+      else \
+        PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName()); \
     }
 
@@ -216,5 +216,5 @@
   static LoadClassDescription* addClass(const char* className);
   LoadParamDescription* addParam(const char* paramName);
-  
+
 
   static void printAll(const char* fileName = NULL);
@@ -249,9 +249,9 @@
   LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(), bool multi = false)
     : BaseLoadParam(root, pt2Object, paramName, 0, multi, "")
-    { 
+    {
       if (loadString != NULL && root != NULL)
-	(*pt2Object.*function)(); 
-      else 
-	PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName());
+        (*pt2Object.*function)();
+      else
+        PRINTF(4)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName());
     }
 
Index: orxonox/trunk/src/util/object_manager.cc
===================================================================
--- orxonox/trunk/src/util/object_manager.cc	(revision 4591)
+++ orxonox/trunk/src/util/object_manager.cc	(revision 4592)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -26,8 +26,8 @@
    \brief standard constructor
 */
-ObjectManager::ObjectManager () 
+ObjectManager::ObjectManager ()
 {
   this->setClassID(CL_OBJECT_MANAGER, "ObjectManager");
-  
+
   this->managedObjectList = new tList<BaseObject>*[CL_NUMBER];
   for(int i = 0; i < CL_NUMBER; ++i)
@@ -48,5 +48,5 @@
    \brief standard deconstructor
 */
-ObjectManager::~ObjectManager () 
+ObjectManager::~ObjectManager ()
 {
   ObjectManager::singletonRef = NULL;
@@ -80,7 +80,7 @@
       this->managedObjectList[index]->remove(obj);
       if( unlikely(obj == NULL))
-	{
-	  PRINTF(0)("Critical: there was no object anymore in the dead list! This could result in Segfaults\n");
-	}
+        {
+          PRINTF(0)("Critical: there was no object anymore in the dead list! This could result in Segfaults\n");
+        }
       return obj;
     }
@@ -96,12 +96,12 @@
 {
   PRINT(0)("\n==========================| ObjectManager::debug() |===\n");
-  PRINT(0)("=  Number of registerable classes: %i\n", CL_NUMBER );  
+  PRINT(0)("=  Number of registerable classes: %i\n", CL_NUMBER );
   PRINT(0)("=  Currently cached objects: \n");
   for(int i = 0; i < CL_NUMBER; ++i)
     {
       if( this->managedObjectList[i] != NULL)
-	PRINT(0)("=   o Class Nr. %i has cached %i object(s)\n", i, this->managedObjectList[i]->getSize());
+        PRINT(0)("=   o Class Nr. %i has cached %i object(s)\n", i, this->managedObjectList[i]->getSize());
       else
-	PRINT(0)("=   o Class Nr. %i has cached 0 object(s)\n", i);
+        PRINT(0)("=   o Class Nr. %i has cached 0 object(s)\n", i);
     }
   PRINT(0)("=======================================================\n");