Index: data/trunk/levels/sp_cutscene_intro.oxw
===================================================================
--- data/trunk/levels/sp_cutscene_intro.oxw	(revision 4592)
+++ data/trunk/levels/sp_cutscene_intro.oxw	(revision 4593)
@@ -23,16 +23,10 @@
           <name>shutleOne</name>
           <model>models/spaceships/human_spaceship_fighter.obj,0.2</model>
-          <abs-coor>200, 0, 175</abs-coor>
-          <abs-dir> 3.14,0,1,0 </abs-dir>
-	  <Weapons>
-	    <AcidLauncher>
-	      <slot>0, 0</slot>
-	      <energy>100</energy>
-	    </AcidLauncher>
-	    <AcidLuncher>
-	      <slot>0, 1</slot>
-	      <energy>100</energy>
-	    </AcidLuncher>
-	  </Weapons>
+          <Track>
+            <mode>1</mode>
+            <speed>10</speed>
+             <addPoint>625, 0, -25</addPoint>
+             <addPoint>-1000,0,-25</addPoint>
+          </Track>
         </NPC>
 
@@ -41,9 +35,8 @@
           <model>models/spaceships/human_spaceship_bomber.obj,1.2</model>
           <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.3</speed>
-             <addPoint>-1110,10,-170</addPoint>
+          <Track>
+            <mode>1</mode>
+            <speed>13</speed>
+             <addPoint>-410,10,-170</addPoint>
              <addPoint>1000,10,-170</addPoint>
           </Track>
@@ -54,9 +47,8 @@
           <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
           <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.3</speed>
-             <addPoint>-1060,10,-170</addPoint>
+          <Track>
+            <mode>1</mode>
+            <speed>13</speed>
+             <addPoint>-360,10,-170</addPoint>
              <addPoint>1000,10,-170</addPoint>
           </Track>
@@ -67,9 +59,8 @@
           <model>models/spaceships/human_spaceship_bomber.obj,1,2</model>
           <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.3</speed>
-             <addPoint>-1190,-5,-160</addPoint>
+          <Track>
+            <mode>1</mode>
+            <speed>13</speed>
+             <addPoint>-490,-5,-160</addPoint>
              <addPoint>1000,-5,-160</addPoint>
           </Track>
@@ -80,9 +71,8 @@
           <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
           <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.3</speed>
-             <addPoint>-1090,-5,-160</addPoint>
+          <Track>
+            <mode>1</mode>
+            <speed>13</speed>
+             <addPoint>-390,-5,-160</addPoint>
              <addPoint>1000,-5,-160</addPoint>
           </Track>
@@ -91,11 +81,10 @@
         <NPC>
           <name>pirateOne</name>
-          <model>models/spaceships/pirates_spaceship_fighter.obj,0.5</model>
-          <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.2</speed>
-             <addPoint>10,-5,-2650</addPoint>
+          <model>models/spaceships/pirates_spaceship_fighter.obj,0.1</model>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>12.8</speed>
+             <addPoint>10,-5,-1500</addPoint>
              <addPoint>10,-5,100</addPoint>
              <addPoint>10,0,150</addPoint>
@@ -107,8 +96,62 @@
 
 
+        <NPC>
+          <name>pirateTwo</name>
+          <model>models/spaceships/pirates_spaceship_ragnar.obj,0.3</model>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>0</mode>
+            <speed>11.8</speed>
+             <addPoint>80,0,-120</addPoint>
+             <addPoint>75,0,-200</addPoint>
+             <addPoint>70,2,-250</addPoint>
+             <addPoint>65,5,-300</addPoint>
+
+          </Track>
+        </NPC>
+
+        <NPC>
+          <name>fighterThree</name>
+          <model>models/spaceships/human_spaceship_fighter.obj,0.3</model>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>0</mode>
+            <speed>11.2</speed>
+             <addPoint>80,3,-100</addPoint>
+             <addPoint>75,3,-200</addPoint>
+             <addPoint>70,5,-250</addPoint>
+             <addPoint>65,8,-300</addPoint>
+          </Track>
+	    <Weapons>
+	     <AcidLauncher>
+	       <slot>0, 0</slot>
+	     </AcidLauncher>
+	     <AcidLuncher>
+	       <slot>0, 1</slot>
+	     </AcidLuncher>
+	    </Weapons>
+
+        </NPC>
+
+
+         <NPC>
+          <name>bomberThree</name>
+          <model>models/spaceships/human_spaceship_bomber.obj,1.2</model>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>6.4</speed>
+            <addPoint>-10,0,200</addPoint>
+            <addPoint>-10,0,150</addPoint>
+            <addPoint>-10,-5,100</addPoint>
+            <addPoint>-10,-5,-2650</addPoint>
+          </Track>
+
+         </NPC>
+
         <Planet>
 	    <name>Earth</name>
-	    <size>250</size>
-	    <abs-coor>-75, 0, 400</abs-coor>
+	    <size>175</size>
+	    <abs-coor>-75, 0, 300</abs-coor>
 	    <texture>textures/planets/mars.png</texture>
 	    <cloud-texture>textures/planets/halo.png</cloud-texture>
@@ -126,5 +169,5 @@
           <name>zhara</name>
           <model>models/space_stations/ZHARA_Space_Station.obj, 2</model>
-          <abs-coor>-150,0,150</abs-coor>
+          <abs-coor>-150,0,-50</abs-coor>
           <abs-dir>3.1412, 0,1,0</abs-dir>
         </Building>
@@ -167,8 +210,7 @@
     <Camera>
      <name> CameraOne </name>
-     <drawTrack>1</drawTrack>
      <Track>
        <mode>1</mode>
-       <speed>0.1</speed>
+       <speed>4.6</speed>
        <addPoint>125,0,-245</addPoint>
        <addPoint>125,0,-250</addPoint>
Index: data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- data/trunk/scripts/cutscene/cutscene.lua	(revision 4592)
+++ data/trunk/scripts/cutscene/cutscene.lua	(revision 4593)
@@ -30,5 +30,5 @@
 triggerTwo:setScript("cutscene.lua")
 triggerTwo:setFunction("switchCamToSpaceship")
-triggerTwo:setAbsCoor(0, 0 , 150)
+triggerTwo:setAbsCoor(0, 0 , -25)
 triggerTwo:setTarget("CameraOne")
 triggerTwo:setRadius(5)
@@ -39,5 +39,5 @@
 triggerThree:setScript("cutscene.lua")
 triggerThree:setFunction("switchCamToStation")
-triggerThree:setAbsCoor(-125, 0 , 175)
+triggerThree:setAbsCoor(-125, 0 , -25)
 triggerThree:setTarget("CameraOne")
 triggerThree:setRadius(5)
@@ -47,5 +47,4 @@
 -- Get objects from orxonox
 thisscript:addObject("CameraMan", "cameraManager")
-thisscript:addObject("NPC", "shutleOne")
 thisscript:addObjectAsName("GameWorld", "Cut Scene", "gameWorld")
 
@@ -57,21 +56,4 @@
 bInit = 0
 bInit2 = 0
-
-
--- shutleOne
-shutle = { }
---{
-
- function shutle:tick(timestep)
-
- if cameraManager:getCurrCameraCoorZ() > 0 then
-  coorX = shutleOne:getAbsCoorX()
-  coorY = shutleOne:getAbsCoorY()
-  coorZ = shutleOne:getAbsCoorZ()
-  shutleOne:setAbsCoor(coorX-6*timestep,coorY,coorZ)
- end
- end
-
- --}
 
 
@@ -107,5 +89,4 @@
 time = time + timestep
 
-shutle:tick(timestep)
 
 if bInit == 0 then