Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 4605)
+++ orxonox/trunk/src/orxonox.cc	(revision 4606)
@@ -187,51 +187,53 @@
 int Orxonox::initResources()
 {
-  PRINT(3)("initializing ResourceManager\n");
-  resourceManager = ResourceManager::getInstance();
+   PRINT(3)("initializing ResourceManager\n");
+   resourceManager = ResourceManager::getInstance();
 
   // create parser
-  IniParser parser (DEFAULT_CONFIG_FILE);
-  if( parser.getSection (CONFIG_SECTION_DATA) == -1)
-    {
-      PRINTF(1)("Could not find Section %s in %s\n", CONFIG_SECTION_DATA, DEFAULT_CONFIG_FILE);
-      return -1;
-    }
-  char namebuf[256];
-  char valuebuf[256];
-  memset (namebuf, 0, 256);
-  memset (valuebuf, 0, 256);
-
-  while( parser.nextVar (namebuf, valuebuf) != -1)
-    {
-      if (!strcmp(namebuf, CONFIG_NAME_DATADIR))
-        {
+   IniParser parser (DEFAULT_CONFIG_FILE);
+   if( parser.getSection (CONFIG_SECTION_DATA) == -1)
+   {
+     PRINTF(1)("Could not find Section %s in %s\n", CONFIG_SECTION_DATA, DEFAULT_CONFIG_FILE);
+     return -1;
+   }
+   char namebuf[256];
+   char valuebuf[256];
+   memset (namebuf, 0, 256);
+   memset (valuebuf, 0, 256);
+
+   while( parser.nextVar (namebuf, valuebuf) != -1)
+   {
+     if (!strcmp(namebuf, CONFIG_NAME_DATADIR))
+     {
           //  printf("Not yet implemented\n");
-          if (!resourceManager->setDataDir(valuebuf))
-            {
-              PRINTF(1)("Data Could not be located\n");
-              exit(-1);
-            }
-        }
-
-      memset (namebuf, 0, 256);
-      memset (valuebuf, 0, 256);
-    }
-
-  if (!resourceManager->checkDataDir(DEFAULT_DATA_DIR_CHECKFILE))
-    {
-      PRINTF(1)("The DataDirectory %s could not be verified\nPlease Change in File %s Section %s Entry %s to a suitable value\n",
-                resourceManager->getDataDir(),
-                DEFAULT_CONFIG_FILE,
-                CONFIG_SECTION_DATA,
-                CONFIG_NAME_DATADIR);
-      exit(-1);
-    }
-
-
-  PRINT(3)("initializing TextEngine\n");
-  TextEngine::getInstance();
-
-  PRINT(3)("initializing ObjectManager\n");
-  this->objectManager = ObjectManager::getInstance();
+       if (!resourceManager->setDataDir(valuebuf))
+       {
+         PRINTF(1)("Data Could not be located\n");
+         exit(-1);
+       }
+     }
+
+     memset (namebuf, 0, 256);
+     memset (valuebuf, 0, 256);
+   }
+
+   if (!resourceManager->checkDataDir(DEFAULT_DATA_DIR_CHECKFILE))
+   {
+     PRINTF(1)("The DataDirectory %s could not be verified\nPlease Change in File %s Section %s Entry %s to a suitable value\n",
+     resourceManager->getDataDir(),
+     DEFAULT_CONFIG_FILE,
+     CONFIG_SECTION_DATA,
+     CONFIG_NAME_DATADIR);
+     exit(-1);
+   }
+   //! \todo this is a hack and should be loadable
+   resourceManager->addImageDir(ResourceManager::getInstance()->getFullName("maps/"));
+   resourceManager->debug();
+
+   PRINT(3)("initializing TextEngine\n");
+   TextEngine::getInstance();
+
+   PRINT(3)("initializing ObjectManager\n");
+   this->objectManager = ObjectManager::getInstance();
 
   return 0;
Index: orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- orxonox/trunk/src/util/resource_manager.cc	(revision 4605)
+++ orxonox/trunk/src/util/resource_manager.cc	(revision 4606)
@@ -765,5 +765,5 @@
    \brief outputs debug information about the ResourceManager
 */
-void ResourceManager::debug(void)
+void ResourceManager::debug(void) const
 {
   PRINT(0)("=RM===================================\n");
Index: orxonox/trunk/src/util/resource_manager.h
===================================================================
--- orxonox/trunk/src/util/resource_manager.h	(revision 4605)
+++ orxonox/trunk/src/util/resource_manager.h	(revision 4606)
@@ -116,5 +116,5 @@
   bool unloadAllByPriority(ResourcePriority prio);
 
-  void debug(void);
+  void debug(void) const;
 
 