Index: orxonox/trunk/src/defs/debug.h
===================================================================
--- orxonox/trunk/src/defs/debug.h	(revision 4607)
+++ orxonox/trunk/src/defs/debug.h	(revision 4608)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -14,12 +14,12 @@
 */
 
-/*! 
+/*!
     \file debug.h
     \brief Handles output to console for different Verbose-Modes.
 
     There are two main modes HARD and SOFT. HARD is precessed during compileTime where SOFT is for runtime.
-    \li HARD: One can choose between different modes. see: // DEFINE_MODULES 
+    \li HARD: One can choose between different modes. see: // DEFINE_MODULES
     \li SOFT: If you want each module can have its own variable for processing. just pass it to DEBUG_MODULE_SOFT
-*/ 
+*/
 
 #ifndef _DEBUG_H
@@ -35,5 +35,5 @@
 #define WARN            2
 #define INFO            3
-#define DEBUG           4
+//#define DEBUG           4
 #define vDEBUG          5
 
@@ -45,5 +45,5 @@
 #define SOFT_DEBUG_LEVEL verbose
 #else /* MODULAR_DEBUG */
-#ifndef DEBUG_MODULE_SOFT 
+#ifndef DEBUG_MODULE_SOFT
 #define SOFT_DEBUG_LEVEL verbose
 #else /* DEBUG_MODULE_SOFT */
@@ -64,5 +64,5 @@
 
 #define DEBUG_MODULE_IMPORTER           0
-#define DEBUG_MODULE_TRACK_MANAGER      0
+#define DEBUG_MODULE_TRACK_MANAGER      5
 #define DEBUG_MODULE_GARBAGE_COLLECTOR  0
 #define DEBUG_MODULE_OBJECT_MANAGER     0
@@ -104,42 +104,42 @@
     if (SOFT_DEBUG_LEVEL >= ERR) \
       printf("ERROR::%s:%d:", __FILE__, __LINE__) && printf
-#else 
+#else
 #define PRINTF1 if (NO)
 #endif
-     
+
 #if HARD_DEBUG_LEVEL >= WARN
 #define PRINTF2 \
      if (SOFT_DEBUG_LEVEL >= WARN) \
        printf("WARNING::%s:%d:", __FILE__, __LINE__) && printf
-         
-#else 
+
+#else
 #define PRINTF2 if (NO)
 #endif
-     
+
 #if HARD_DEBUG_LEVEL >= INFO
 #define PRINTF3 \
      if (SOFT_DEBUG_LEVEL >= INFO) \
        printf("INFO::%s:%d:", __FILE__, __LINE__) && printf
-#else 
+#else
 #define PRINTF3 if (NO)
 #endif
-     
+
 #if HARD_DEBUG_LEVEL >= DEBUG
 #define PRINTF4 \
      if (SOFT_DEBUG_LEVEL >= DEBUG) \
        printf("DEBUG::%s:%d:", __FILE__, __LINE__) && printf
-#else 
+#else
 #define PRINTF4 if (NO)
 #endif
-     
+
 #if HARD_DEBUG_LEVEL >= vDEBUG
 #define PRINTF5 \
      if (SOFT_DEBUG_LEVEL >= vDEBUG) \
        printf("VERYDEBUG::%s:%d:", __FILE__, __LINE__) && printf
-#else 
+#else
 #define PRINTF5 if (NO)
 #endif
-    
-#else  
+
+#else
 #define PRINTF(x) if (NO)
 #endif
@@ -164,8 +164,8 @@
 
 #if HARD_DEBUG_LEVEL >= ERR
-#define PRINT1	\
-  if (SOFT_DEBUG_LEVEL >= ERR)	\
-    printf
-#else 
+#define PRINT1  \
+  if (SOFT_DEBUG_LEVEL >= ERR)  \
+    printf
+#else
 #define PRINT1 if (NO)
 #endif
@@ -176,5 +176,5 @@
     printf
 
-#else 
+#else
 #define PRINT2 if (NO)
 #endif
@@ -184,5 +184,5 @@
   if (SOFT_DEBUG_LEVEL >= INFO) \
     printf
-#else 
+#else
 #define PRINT3 if (NO)
 #endif
@@ -192,5 +192,5 @@
   if (SOFT_DEBUG_LEVEL >= DEBUG) \
     printf
-#else 
+#else
 #define PRINT4 if (NO)
 #endif
@@ -200,10 +200,10 @@
      if (SOFT_DEBUG_LEVEL >= vDEBUG) \
        printf("VERYDEBUG::%s:%d:", __FILE__, __LINE__) && printf
-#else 
+#else
 #define PRINT5 if (NO)
 #endif
 
 
-#else  
+#else
 #define PRINT(x) if (NO)
 #endif
Index: orxonox/trunk/src/lib/newmat/Makefile
===================================================================
--- orxonox/trunk/src/lib/newmat/Makefile	(revision 4607)
+++ orxonox/trunk/src/lib/newmat/Makefile	(revision 4608)
@@ -26,5 +26,5 @@
 top_builddir = ../../..
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = /bin/install -c
+INSTALL = /usr/bin/install -c
 install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c
@@ -107,11 +107,11 @@
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run aclocal-1.8
+ACLOCAL = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run aclocal-1.8
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run tar
-AUTOCONF = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run automake-1.8
+AMTAR = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run tar
+AUTOCONF = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run automake-1.8
 AWK = gawk
 CC = gcc
@@ -121,10 +121,10 @@
 CPPFLAGS = -I/usr/X11R6/include -I/usr/include/SDL
 CURL_CFLAGS = 
-CURL_LIBS = 
+CURL_LIBS = -L/usr/lib -lcurl -lidn -lssl -lcrypto -ldl -lssl -lcrypto -ldl -lz
 CXX = g++
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2
 CYGPATH_W = echo
-DEBUG = 4
+DEBUG = 5
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
@@ -141,7 +141,7 @@
 GPROF = /usr/bin/gprof
 GTK2_CFLAGS = -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
-GTK2_LIBS = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
-HAVE_CURL_FALSE = 
-HAVE_CURL_TRUE = #
+GTK2_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
+HAVE_CURL_FALSE = #
+HAVE_CURL_TRUE = 
 HAVE_GTK2_FALSE = #
 HAVE_GTK2_TRUE = 
@@ -154,5 +154,5 @@
 LIBS = -lm  -lGL -lGLU -lSDL -lopenal -logg -lvorbis -lvorbisfile -lSDL_ttf -lSDL_image
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run makeinfo
 MSBITFIELDS = 
 OBJEXT = o
@@ -198,5 +198,5 @@
 includedir = ${prefix}/include
 infodir = ${prefix}/info
-install_sh = /home/boenzlip/orxonox/repos/trunk/install-sh
+install_sh = /home/bensch/svn/orxonox/trunk/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
@@ -292,7 +292,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/newmat/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/newmat/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/newmat/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/newmat/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4607)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4608)
@@ -459,5 +459,5 @@
   this->localPlayer->setParentMode(PNODE_ALL);
   Vector* cameraOffset = new Vector (0, 5, -10);
-  trackManager->condition(2, LEFTRIGHT, this->localPlayer);
+  trackManager->condition(1, LEFTRIGHT, this->localPlayer);
 
   this->sky->setParent(this->localCamera);