Index: data/trunk/models/space_stations/ZHARA_Space_Station.oif
===================================================================
--- data/trunk/models/space_stations/ZHARA_Space_Station.oif	(revision 4609)
+++ data/trunk/models/space_stations/ZHARA_Space_Station.oif	(revision 4610)
@@ -148,8 +148,9 @@
   <MP.17.RedLight>
     <Description>A Red Light on Space Station</Description>
-    <OrxClass>RedLight</OrxClass>
-    <Details>
-      <name>RedLight</name>
-      <model>RedLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>RedLight1</name>
+      <color>255, 0, 0</color>
+      <size>0.85</size>
     </Details>
   </MP.17.RedLight>
@@ -157,8 +158,9 @@
   <MP.18.RedLight>
     <Description>A Red Light on Space Station</Description>
-    <OrxClass>RedLight</OrxClass>
-    <Details>
-      <name>RedLight</name>
-      <model>RedLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>RedLight2</name>
+      <color>255, 0, 0</color>
+      <size>0.85</size>
     </Details>
   </MP.18.RedLight>
@@ -166,8 +168,9 @@
   <MP.19.GreenLight>
     <Description>A Green Light on Space Station</Description>
-    <OrxClass>GreenLight</OrxClass>
-    <Details>
-      <name>GreenLight</name>
-      <model>GreenLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>GreenLight1</name>
+      <color>0, 255, 0</color>
+      <size>0.85</size>
     </Details>
   </MP.19.GreenLight>
@@ -175,8 +178,9 @@
   <MP.20.GreenLight>
     <Description>A Green Light on Space Station</Description>
-    <OrxClass>GreenLight</OrxClass>
-    <Details>
-      <name>GreenLight</name>
-      <model>GreenLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>GreenLight2</name>
+      <color>0, 255, 0</color>
+      <size>0.85</size>
     </Details>
   </MP.20.GreenLight>
@@ -184,8 +188,9 @@
   <MP.21.RedLight>
     <Description>A Red Light on Space Station</Description>
-    <OrxClass>RedLight</OrxClass>
-    <Details>
-      <name>RedLight</name>
-      <model>RedLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>RedLight3</name>
+      <color>255, 0, 0</color>
+      <size>0.85</size>
     </Details>
   </MP.21.RedLight>
@@ -193,8 +198,9 @@
   <MP.22.RedLight>
     <Description>A Red Light on Space Station</Description>
-    <OrxClass>RedLight</OrxClass>
-    <Details>
-      <name>RedLight</name>
-      <model>RedLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>RedLight4</name>
+      <color>255, 0, 0</color>
+      <size>0.85</size>
     </Details>
   </MP.22.RedLight>
@@ -202,8 +208,9 @@
   <MP.23.GreenLight>
     <Description>A Green Light on Space Station</Description>
-    <OrxClass>GreenLight</OrxClass>
-    <Details>
-      <name>GreenLight</name>
-      <model>GreenLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>GreenLight3</name>
+      <color>0, 255, 0</color>
+      <size>0.85</size>
     </Details>
   </MP.23.GreenLight>
@@ -211,8 +218,9 @@
   <MP.24.GreenLight>
     <Description>A Green Light on Space Station</Description>
-    <OrxClass>GreenLight</OrxClass>
-    <Details>
-      <name>GreenLight</name>
-      <model>GreenLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>GreenLight4</name>
+      <color>0, 255, 0</color>
+      <size>0.85</size>
     </Details>
   </MP.24.GreenLight>
@@ -220,8 +228,9 @@
   <MP.25.BlueLight>
     <Description>A Blue Light on Space Station</Description>
-    <OrxClass>BlueLight</OrxClass>
-    <Details>
-      <name>BlueLight</name>
-      <model>BlueLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight1</name>
+      <color>0, 0, 255</color>
+      <size>0.85</size>
     </Details>
   </MP.25.BlueLight>
@@ -229,8 +238,9 @@
   <MP.26.BlueLight>
     <Description>A Blue Light on Space Station</Description>
-    <OrxClass>BlueLight</OrxClass>
-    <Details>
-      <name>BlueLight</name>
-      <model>BlueLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight2</name>
+      <color>0, 0, 255</color>
+      <size>0.85</size>
     </Details>
   </MP.26.BlueLight>
@@ -238,8 +248,9 @@
   <MP.27.BlueLight>
     <Description>A Blue Light on Space Station</Description>
-    <OrxClass>BlueLight</OrxClass>
-    <Details>
-      <name>BlueLight</name>
-      <model>BlueLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight3</name>
+      <color>0, 0, 255</color>
+      <size>0.85</size>
     </Details>
   </MP.27.BlueLight>
@@ -247,8 +258,9 @@
   <MP.28.BlueLight>
     <Description>A Blue Light on Space Station</Description>
-    <OrxClass>BlueLight</OrxClass>
-    <Details>
-      <name>BlueLight</name>
-      <model>BlueLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight4</name>
+      <color>0, 0, 255</color>
+      <size>0.85</size>
     </Details>
   </MP.28.BlueLight>
@@ -256,8 +268,9 @@
   <MP.29.BlueLight>
     <Description>A Blue Light on Space Station</Description>
-    <OrxClass>BlueLight</OrxClass>
-    <Details>
-      <name>BlueLight</name>
-      <model>BlueLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight5</name>
+      <color>0, 0, 255</color>
+      <size>0.85</size>
     </Details>
   </MP.29.BlueLight>
@@ -265,8 +278,9 @@
   <MP.30.BlueLight>
     <Description>A Blue Light on Space Station</Description>
-    <OrxClass>BlueLight</OrxClass>
-    <Details>
-      <name>BlueLight</name>
-      <model>BlueLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight6</name>
+      <color>0, 0, 255</color>
+      <size>0.85</size>
     </Details>
   </MP.30.BlueLight>
@@ -274,8 +288,9 @@
   <MP.31.BlueLight>
     <Description>A Blue Light on Space Station</Description>
-    <OrxClass>BlueLight</OrxClass>
-    <Details>
-      <name>BlueLight</name>
-      <model>BlueLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight7</name>
+      <color>0, 0, 255</color>
+      <size>0.85</size>
     </Details>
   </MP.31.BlueLight>
@@ -283,8 +298,9 @@
   <MP.32.BlueLight>
     <Description>A Blue Light on Space Station</Description>
-    <OrxClass>BlueLight</OrxClass>
-    <Details>
-      <name>BlueLight</name>
-      <model>BlueLight</model>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight8</name>
+      <color>0, 0, 255</color>
+      <size>0.85</size>
     </Details>
   </MP.32.BlueLight>