Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4583)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4612)
@@ -21,4 +21,5 @@
 		   collision_detection.cc \
 		   $(MAINSRCDIR)/util/loading/load_param.cc \
+		   $(MAINSRCDIR)/lib/util/substring.cc \		   
 		   $(MAINSRCDIR)/lib/util/ini_parser.cc \
 		   $(MAINSRCDIR)/lib/graphics/light.cc \
Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4583)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4612)
@@ -53,7 +53,8 @@
 am_collision_OBJECTS = collision-framework.$(OBJEXT) \
 	collision-collision_detection.$(OBJEXT) \
-	collision-load_param.$(OBJEXT) collision-ini_parser.$(OBJEXT) \
-	collision-light.$(OBJEXT) collision-state.$(OBJEXT) \
-	collision-camera.$(OBJEXT) collision-graphics_engine.$(OBJEXT) \
+	collision-load_param.$(OBJEXT) collision-substring.$(OBJEXT) \
+	collision-ini_parser.$(OBJEXT) collision-light.$(OBJEXT) \
+	collision-state.$(OBJEXT) collision-camera.$(OBJEXT) \
+	collision-graphics_engine.$(OBJEXT) \
 	collision-base_object.$(OBJEXT) collision-vector.$(OBJEXT) \
 	collision-resource_manager.$(OBJEXT) \
@@ -86,4 +87,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/collision-resource_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-state.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/collision-substring.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-text_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-vector.Po
@@ -227,4 +229,5 @@
 		   collision_detection.cc \
 		   $(MAINSRCDIR)/util/loading/load_param.cc \
+		   $(MAINSRCDIR)/lib/util/substring.cc \
 		   $(MAINSRCDIR)/lib/util/ini_parser.cc \
 		   $(MAINSRCDIR)/lib/graphics/light.cc \
@@ -323,4 +326,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-resource_manager.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-state.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-substring.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-text_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-vector.Po@am__quote@
@@ -389,4 +393,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-load_param.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param.cc'; fi`
+
+collision-substring.o: $(MAINSRCDIR)/lib/util/substring.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-substring.o -MD -MP -MF "$(DEPDIR)/collision-substring.Tpo" -c -o collision-substring.o `test -f '$(MAINSRCDIR)/lib/util/substring.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/substring.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-substring.Tpo" "$(DEPDIR)/collision-substring.Po"; else rm -f "$(DEPDIR)/collision-substring.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/substring.cc' object='collision-substring.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-substring.Po' tmpdepfile='$(DEPDIR)/collision-substring.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-substring.o `test -f '$(MAINSRCDIR)/lib/util/substring.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/substring.cc
+
+collision-substring.obj: $(MAINSRCDIR)/lib/util/substring.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-substring.obj -MD -MP -MF "$(DEPDIR)/collision-substring.Tpo" -c -o collision-substring.obj `if test -f '$(MAINSRCDIR)/lib/util/substring.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/substring.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/substring.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-substring.Tpo" "$(DEPDIR)/collision-substring.Po"; else rm -f "$(DEPDIR)/collision-substring.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/substring.cc' object='collision-substring.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-substring.Po' tmpdepfile='$(DEPDIR)/collision-substring.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-substring.obj `if test -f '$(MAINSRCDIR)/lib/util/substring.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/substring.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/substring.cc'; fi`
 
 collision-ini_parser.o: $(MAINSRCDIR)/lib/util/ini_parser.cc