Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4612)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4615)
@@ -13,27 +13,28 @@
                   $(MAINSRCDIR)/lib/newmat/libnewmat.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS) \
-		  -lpthread
+                  -lpthread
 
 collision_CPPFLAGS =  -DGUI_MODULE \
-		      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
+                      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
 collision_SOURCES= ../framework.cc \
-		   collision_detection.cc \
-		   $(MAINSRCDIR)/util/loading/load_param.cc \
-		   $(MAINSRCDIR)/lib/util/substring.cc \		   
-		   $(MAINSRCDIR)/lib/util/ini_parser.cc \
-		   $(MAINSRCDIR)/lib/graphics/light.cc \
-		   $(MAINSRCDIR)/util/state.cc \
-		   $(MAINSRCDIR)/world_entities/camera.cc \
-		   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
-		   $(MAINSRCDIR)/lib/lang/base_object.cc \
-		   $(MAINSRCDIR)/lib/math/vector.cc \
-		   $(MAINSRCDIR)/util/resource_manager.cc \
-		   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-		   $(MAINSRCDIR)/lib/coord/p_node.cc \
-		   $(MAINSRCDIR)/lib/coord/null_parent.cc \
-		   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
-		   $(MAINSRCDIR)/lib/newmat/include.h \
-		   $(MAINSRCDIR)/lib/newmat/newmat.h \
-		   $(MAINSRCDIR)/lib/newmat/newmatap.h \
-		   $(MAINSRCDIR)/lib/newmatio.h
+                   collision_detection.cc \
+                   $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/lib/util/substring.cc \
+                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                   $(MAINSRCDIR)/lib/graphics/light.cc \
+                   $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc \
+                   $(MAINSRCDIR)/util/state.cc \
+                   $(MAINSRCDIR)/world_entities/camera.cc \
+                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
+                   $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/math/vector.cc \
+                   $(MAINSRCDIR)/util/resource_manager.cc \
+                   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
+                   $(MAINSRCDIR)/lib/coord/p_node.cc \
+                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
+                   $(MAINSRCDIR)/lib/newmat/include.h \
+                   $(MAINSRCDIR)/lib/newmat/newmat.h \
+                   $(MAINSRCDIR)/lib/newmat/newmatap.h \
+                   $(MAINSRCDIR)/lib/newmatio.h
Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4612)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4615)
@@ -55,6 +55,6 @@
 	collision-load_param.$(OBJEXT) collision-substring.$(OBJEXT) \
 	collision-ini_parser.$(OBJEXT) collision-light.$(OBJEXT) \
-	collision-state.$(OBJEXT) collision-camera.$(OBJEXT) \
-	collision-graphics_engine.$(OBJEXT) \
+	collision-md2Model.$(OBJEXT) collision-state.$(OBJEXT) \
+	collision-camera.$(OBJEXT) collision-graphics_engine.$(OBJEXT) \
 	collision-base_object.$(OBJEXT) collision-vector.$(OBJEXT) \
 	collision-resource_manager.$(OBJEXT) \
@@ -83,4 +83,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/collision-light.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-load_param.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/collision-md2Model.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-null_parent.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-p_node.Po \
@@ -221,29 +222,30 @@
                   $(MAINSRCDIR)/lib/newmat/libnewmat.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS) \
-		  -lpthread
+                  -lpthread
 
 collision_CPPFLAGS = -DGUI_MODULE \
-		      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
+                      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
 collision_SOURCES = ../framework.cc \
-		   collision_detection.cc \
-		   $(MAINSRCDIR)/util/loading/load_param.cc \
-		   $(MAINSRCDIR)/lib/util/substring.cc \
-		   $(MAINSRCDIR)/lib/util/ini_parser.cc \
-		   $(MAINSRCDIR)/lib/graphics/light.cc \
-		   $(MAINSRCDIR)/util/state.cc \
-		   $(MAINSRCDIR)/world_entities/camera.cc \
-		   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
-		   $(MAINSRCDIR)/lib/lang/base_object.cc \
-		   $(MAINSRCDIR)/lib/math/vector.cc \
-		   $(MAINSRCDIR)/util/resource_manager.cc \
-		   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-		   $(MAINSRCDIR)/lib/coord/p_node.cc \
-		   $(MAINSRCDIR)/lib/coord/null_parent.cc \
-		   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
-		   $(MAINSRCDIR)/lib/newmat/include.h \
-		   $(MAINSRCDIR)/lib/newmat/newmat.h \
-		   $(MAINSRCDIR)/lib/newmat/newmatap.h \
-		   $(MAINSRCDIR)/lib/newmatio.h
+                   collision_detection.cc \
+                   $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/lib/util/substring.cc \
+                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                   $(MAINSRCDIR)/lib/graphics/light.cc \
+                   $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc \
+                   $(MAINSRCDIR)/util/state.cc \
+                   $(MAINSRCDIR)/world_entities/camera.cc \
+                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
+                   $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/math/vector.cc \
+                   $(MAINSRCDIR)/util/resource_manager.cc \
+                   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
+                   $(MAINSRCDIR)/lib/coord/p_node.cc \
+                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
+                   $(MAINSRCDIR)/lib/newmat/include.h \
+                   $(MAINSRCDIR)/lib/newmat/newmat.h \
+                   $(MAINSRCDIR)/lib/newmat/newmatap.h \
+                   $(MAINSRCDIR)/lib/newmatio.h
 
 all: all-am
@@ -322,4 +324,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-light.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-load_param.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-md2Model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-null_parent.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-p_node.Po@am__quote@
@@ -441,4 +444,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-light.obj `if test -f '$(MAINSRCDIR)/lib/graphics/light.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/light.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/light.cc'; fi`
+
+collision-md2Model.o: $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-md2Model.o -MD -MP -MF "$(DEPDIR)/collision-md2Model.Tpo" -c -o collision-md2Model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-md2Model.Tpo" "$(DEPDIR)/collision-md2Model.Po"; else rm -f "$(DEPDIR)/collision-md2Model.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' object='collision-md2Model.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-md2Model.Po' tmpdepfile='$(DEPDIR)/collision-md2Model.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-md2Model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+
+collision-md2Model.obj: $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-md2Model.obj -MD -MP -MF "$(DEPDIR)/collision-md2Model.Tpo" -c -o collision-md2Model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-md2Model.Tpo" "$(DEPDIR)/collision-md2Model.Po"; else rm -f "$(DEPDIR)/collision-md2Model.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' object='collision-md2Model.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-md2Model.Po' tmpdepfile='$(DEPDIR)/collision-md2Model.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-md2Model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; fi`
 
 collision-state.o: $(MAINSRCDIR)/util/state.cc
Index: orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4612)
+++ orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4615)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -24,10 +24,16 @@
 #include "cd_engine.h"
 
+#include "md2Model.h"
+
+MD2Model* model;
+
 void Framework::moduleInit(int argc, char** argv)
 {
   CDEngine::getInstance();
-  CDEngine::getInstance()->debug();
-  
+  //CDEngine::getInstance()->debug();
 
+  model = new MD2Model("models/tris.md2", "models/tris.pcx");
+  model->tick(0.1f);
+  CDEngine::getInstance()->debugSpawnTree(1, model->data->pVertices, model->data->numVertices);
 
   LightManager* lightMan = LightManager::getInstance();
@@ -45,8 +51,8 @@
     case SDL_KEYDOWN:
       switch (event->key.keysym.sym)
-	{
-	case SDLK_i:
-	  break;
-	}
+        {
+        case SDLK_i:
+          break;
+        }
     }
 }
@@ -63,4 +69,6 @@
 
   LightManager::getInstance()->draw();
+
+  model->draw();
 }
 
@@ -77,7 +85,7 @@
 {
   Window* guiMainWindow = NULL;
-  
+
   initGUI(0, NULL);
-  
+
   guiMainWindow = new Window("Collision_detection");
   {