Index: orxonox/trunk/src/lib/collision_detection/bounding_volume.h
===================================================================
--- orxonox/trunk/src/lib/collision_detection/bounding_volume.h	(revision 4615)
+++ orxonox/trunk/src/lib/collision_detection/bounding_volume.h	(revision 4616)
@@ -3,5 +3,5 @@
     \brief Definition of a bounding volume for collision detection algorithms
 
-*/
+ */
 
 #ifndef _BOUNDING_VOLUME_H
@@ -18,23 +18,23 @@
 class BoundingVolume : public BaseObject {
 
- public:
-  BoundingVolume();
-  virtual ~BoundingVolume();
+  public:
+    BoundingVolume();
+    virtual ~BoundingVolume();
 
-  inline const Vector* getCenter() const { return this->center; }
+    inline const Vector* getCenter() const { return this->center; }
 
-  sVec3D* getVertices() const { return this->vertices; }
-  virtual void mergeWith(const BoundingVolume &bv) = NULL;
+    sVec3D* getVertices() const { return this->vertices; }
+    virtual void mergeWith(const BoundingVolume &bv) = NULL;
 
-  virtual void drawBV(int currentDepth, const int depth) const = NULL;
-  virtual void drawBVPolygon(int currentDepth, const int depth) const = NULL;
-  virtual void drawBVBlended(int currentDepth, const int depth) const = NULL;
+    virtual void drawBV(int currentDepth, const int depth) const = NULL;
+    virtual void drawBVPolygon(int currentDepth, const int depth) const = NULL;
+    virtual void drawBVBlended(int currentDepth, const int depth) const = NULL;
 
 
- public:
-  Vector*             center;                     //!< Center point of box
+  public:
+    Vector*             center;                     //!< Center point of box
 
-  sVec3D*             vertices;                   //!< if CD_STORE_VERTICES enabled, this is the place, where the vert. will be sotred
-  int                 numOfVertices;              //!< number of vertices in the vertices buffer
+    sVec3D*             vertices;                   //!< if CD_STORE_VERTICES enabled, this is the place, where the vert. will be sotred
+    int                 numOfVertices;              //!< number of vertices in the vertices buffer
 };
 
Index: orxonox/trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4615)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4616)
@@ -21,7 +21,10 @@
 #include "debug.h"
 #include "compiler.h"
+#include "material.h"
 
 using namespace std;
 
+
+Material* OBBTree::material = NULL;
 
 /**
@@ -30,6 +33,8 @@
 OBBTree::OBBTree ()
 {
-   this->setClassID(CL_OBB_TREE, "OBBTree");
-
+  this->setClassID(CL_OBB_TREE, "OBBTree");
+  material = new Material("Tree");
+  material->setIllum(3);
+  material->setAmbient(1.0, 1.0, 1.0);
 }
 
Index: orxonox/trunk/src/lib/collision_detection/obb_tree.h
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree.h	(revision 4615)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree.h	(revision 4616)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file obb_tree.h
     \brief Definition of an obb tree (object oriented Bounding Box)
@@ -10,5 +10,7 @@
 #include "bv_tree.h"
 #include "abstract_model.h"
+#include "material.h"
 
+class Material;
 class OBBTreeNode;
 
@@ -16,21 +18,25 @@
 class OBBTree : public BVTree {
 
- public:
-  OBBTree();
-  virtual ~OBBTree();
+  public:
+    OBBTree();
+    virtual ~OBBTree();
 
-  virtual void spawnBVTree(int depth, sVec3D *verticesList, const int length);
-  virtual void flushTree();
+    virtual void spawnBVTree(int depth, sVec3D *verticesList, const int length);
+    virtual void flushTree();
 
-  void collideWith(const OBBTree &tree);
+    void collideWith(const OBBTree &tree);
 
-  virtual void drawBV(int currentDepth, const int depth) const;
-  virtual void drawBVPolygon(int currentDepth, const int depth) const;
-  virtual void drawBVBlended(int currentDepth, const int depth) const;
+    virtual void drawBV(int currentDepth, const int depth) const;
+    virtual void drawBVPolygon(int currentDepth, const int depth) const;
+    virtual void drawBVBlended(int currentDepth, const int depth) const;
 
-  void debug();
+    void debug();
 
- private:
-  OBBTreeNode*         rootNode;                        //!< reference to the root node of the tree
+  public:
+    static Material* material;
+
+
+  private:
+    OBBTreeNode*         rootNode;                        //!< reference to the root node of the tree
 
 };
Index: orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4615)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4616)
@@ -19,4 +19,5 @@
 #include "list.h"
 #include "obb.h"
+#include "obb_tree.h"
 #include "vector.h"
 #include "abstract_model.h"
@@ -402,4 +403,6 @@
 void OBBTreeNode::drawBVPolygon(int currentDepth, const int depth) const
 {
+
+  OBBTree::material->select();
 
   /* draw world axes */