Index: orxonox/trunk/src/lib/collision_detection/bv_tree_node.h
===================================================================
--- orxonox/trunk/src/lib/collision_detection/bv_tree_node.h	(revision 4617)
+++ orxonox/trunk/src/lib/collision_detection/bv_tree_node.h	(revision 4618)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file bv_tree.h
     \brief Definition of a bounding volume tree
@@ -27,11 +27,11 @@
 
   virtual BoundingVolume* getBV(int index) const = NULL;
-  inline const int getIndex() { return this->treeIndex; }  
+  inline const int getIndex() { return this->treeIndex; }
 
   virtual void collideWith(const BVTree &tree) = NULL;
 
-  virtual void drawBV(int currentDepth, const int depth) const = NULL;
-  virtual void drawBVPolygon(int currentDepth, const int depth) const = NULL;
-  virtual void drawBVBlended(int currentDepth, const int depth) const = NULL;
+  virtual void drawBV(int depth) const = NULL;
+  virtual void drawBVPolygon(int depth) const = NULL;
+  virtual void drawBVBlended(int depth) const = NULL;
 
 
Index: orxonox/trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4617)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4618)
@@ -75,6 +75,6 @@
   if( likely(this->rootNode != NULL))
   {
-    this->rootNode->drawBV(currentDepth, depth);
-    this->rootNode->drawBVPolygon(currentDepth, depth);
+    this->rootNode->drawBV(currentDepth);
+    this->rootNode->drawBVPolygon(currentDepth);
   }
 }
@@ -84,5 +84,5 @@
 {
   if( likely(this->rootNode != NULL))
-    this->rootNode->drawBVPolygon(currentDepth, depth);
+    this->rootNode->drawBVPolygon(currentDepth);
 }
 
@@ -91,5 +91,5 @@
 {
   if( likely(this->rootNode != NULL))
-    this->rootNode->drawBVBlended(currentDepth, depth);
+    this->rootNode->drawBVBlended(currentDepth);
 }
 
Index: orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4617)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4618)
@@ -48,5 +48,6 @@
 {
   this->setClassID(CL_OBB_TREE_NODE, "OBBTreeNode");
-
+  this->nodeLeft = NULL;
+  this->nodeRight = NULL;
 }
 
@@ -388,5 +389,5 @@
 
 
-void OBBTreeNode::drawBV(int currentDepth, const int depth) const
+void OBBTreeNode::drawBV(int depth) const
 {
 //   glBegin(GL_LINE_LOOP);
@@ -402,5 +403,5 @@
 
 
-void OBBTreeNode::drawBVPolygon(int currentDepth, const int depth) const
+void OBBTreeNode::drawBVPolygon(int depth) const
 {
 
@@ -408,36 +409,36 @@
 
   /* draw world axes */
-  glBegin(GL_LINES);
-  glColor3f(0.0, 0.4, 0.3);
-  glVertex3f(0.0, 0.0, 0.0);
-  glVertex3f(3.0, 0.0, 0.0);
-
-  glVertex3f(0.0, 0.0, 0.0);
-  glVertex3f(0.0, 3.0, 0.0);
-
-  glVertex3f(0.0, 0.0, 0.0);
-  glVertex3f(0.0, 0.0, 3.0);
-  glEnd();
+//   glBegin(GL_LINES);
+//   glColor3f(0.0, 0.4, 0.3);
+//   glVertex3f(0.0, 0.0, 0.0);
+//   glVertex3f(3.0, 0.0, 0.0);
+//
+//   glVertex3f(0.0, 0.0, 0.0);
+//   glVertex3f(0.0, 3.0, 0.0);
+//
+//   glVertex3f(0.0, 0.0, 0.0);
+//   glVertex3f(0.0, 0.0, 3.0);
+//   glEnd();
 
 
 
   /* draw the obb axes */
-  glBegin(GL_LINES);
-  glColor3f(0.0, 0.4, 0.3);
-  glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
-  glVertex3f(this->bvElement->center->x + this->bvElement->axis[0]->x * this->bvElement->halfLength[0],
-             this->bvElement->center->y + this->bvElement->axis[0]->y * this->bvElement->halfLength[0],
-             this->bvElement->center->z + this->bvElement->axis[0]->z * this->bvElement->halfLength[0]);
-
-  glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
-  glVertex3f(this->bvElement->center->x + this->bvElement->axis[1]->x * this->bvElement->halfLength[1],
-             this->bvElement->center->y + this->bvElement->axis[1]->y * this->bvElement->halfLength[1],
-             this->bvElement->center->z + this->bvElement->axis[1]->z * this->bvElement->halfLength[1]);
-
-  glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
-  glVertex3f(this->bvElement->center->x + this->bvElement->axis[2]->x * this->bvElement->halfLength[2],
-             this->bvElement->center->y + this->bvElement->axis[2]->y * this->bvElement->halfLength[2],
-             this->bvElement->center->z + this->bvElement->axis[2]->z * this->bvElement->halfLength[2]);
-  glEnd();
+//   glBegin(GL_LINES);
+//   glColor3f(0.0, 0.4, 0.3);
+//   glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
+//   glVertex3f(this->bvElement->center->x + this->bvElement->axis[0]->x * this->bvElement->halfLength[0],
+//              this->bvElement->center->y + this->bvElement->axis[0]->y * this->bvElement->halfLength[0],
+//              this->bvElement->center->z + this->bvElement->axis[0]->z * this->bvElement->halfLength[0]);
+//
+//   glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
+//   glVertex3f(this->bvElement->center->x + this->bvElement->axis[1]->x * this->bvElement->halfLength[1],
+//              this->bvElement->center->y + this->bvElement->axis[1]->y * this->bvElement->halfLength[1],
+//              this->bvElement->center->z + this->bvElement->axis[1]->z * this->bvElement->halfLength[1]);
+//
+//   glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
+//   glVertex3f(this->bvElement->center->x + this->bvElement->axis[2]->x * this->bvElement->halfLength[2],
+//              this->bvElement->center->y + this->bvElement->axis[2]->y * this->bvElement->halfLength[2],
+//              this->bvElement->center->z + this->bvElement->axis[2]->z * this->bvElement->halfLength[2]);
+//   glEnd();
 
 
@@ -519,9 +520,13 @@
   glEnd();
 
-
-}
-
-
-void OBBTreeNode::drawBVBlended(int currentDepth, const int depth) const
+  if( this->nodeLeft != NULL && depth != 0)
+    this->nodeLeft->drawBVPolygon(depth -1);
+  if( this->nodeRight != NULL && depth != 0)
+    this->nodeRight->drawBVPolygon(depth -1);
+
+}
+
+
+void OBBTreeNode::drawBVBlended(int depth) const
 {}
 
Index: orxonox/trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 4617)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 4618)
@@ -32,7 +32,7 @@
     virtual void collideWith(const BVTree &tree);
 
-    virtual void drawBV(int currentDepth, const int depth) const;
-    virtual void drawBVPolygon(int currentDepth, const int depth) const;
-    virtual void drawBVBlended(int currentDepth, const int depth) const;
+    virtual void drawBV(int depth) const;
+    virtual void drawBVPolygon(int depth) const;
+    virtual void drawBVBlended(int depth) const;
 
     void debug();